
news extension - Bug # 61253

Status: Rejected Priority: Should have
Author: Tobias Pierschel Category: Backend
Created: 2014-08-28 Assigned To: Georg Ringer
Updated: 2015-02-14 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Has patch: No
Branch:
Complexity:
Is Regression: No
Subject: localization of related files not taken into account
Description

Multilanguage (DE/EN)

how to produce:
    -  Create a news
    -  under relations add a releated file (FAL Modus) "test-de.pfd" 
    -  translate the news
    -  under relations add a new file to the translated news "test-en.pfd"
Frontend:
    -  the news ist translated but the releated file is "test-de.pfd" not "test-en.pfd"

<f:debug title="Debug of MyArray">{relatedFile.originalResource.publicUrl}</f:debug> shows the "test-de.pfd"

Thank you

Related issues:
related to Core - Bug # 57272: Extbase doesn't handle FAL translations correctly Under Review 2014-03-25

History
#1 - 2014-08-29 23:55 - Stefano Cecere

i discovered this bug (?) today, and found it is mostly an Extbase + FAL core bug ( https://forge.typo3.org/issues/57272 )

can i help in something for this bug solution?

#2 - 2014-08-30 15:51 - Stefano Cecere

i have a good working (temporary, untile COre gets fixed) solution..

i wrote it here: https://forge.typo3.org/issues/57272

#3 - 2014-08-30 19:42 - Tobias Pierschel

Thank you Stefano, ill try that solution.

#4 - 2014-09-01 15:47 - Tobias Pierschel
This solution https://forge.typo3.org/issues/57272#note-6 works for me. Thank you.

#5 - 2015-02-14 09:46 - Georg Ringer
- Status changed from New to Rejected

see #57272, i am closing this one
